Show / Hide Table of Contents

# Struct Camera

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Camera

### Fields

| Improve this Doc View Source

#### CameraBase

##### Declaration

    public CameraBase CameraBase

##### Field Value

Type | Description
--- | ---
CameraBase |

| Improve this Doc View Source

#### Distance

##### Declaration

    public float Distance

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FoV

##### Declaration

    public float FoV

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### InterpDistance

##### Declaration

    public float InterpDistance

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MaxDistance

##### Declaration

    public float MaxDistance

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MaxFoV

##### Declaration

    public float MaxFoV

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MinDistance

##### Declaration

    public float MinDistance

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MinFoV

##### Declaration

    public float MinFoV

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SavedDistance

##### Declaration

    public float SavedDistance

##### Field Value

Type | Description
--- | ---
System.Single |